using System;
using System.Collections.Generic;
using System.Data;
using System.Text;

namespace SituationMonitor.Data
{
    /// <summary>
    /// Holds datarow as object and puts out formatted text
    /// </summary>
    class ComboboxDataholder
    {
        private DataRow row;

        public DataRow Row
        {
            get { return row; }
            set { row = value; }
        }
        private string column;

        public string Column
        {
            get { return column; }
            set { column = value; }
        }

        private string[] columns;

        public string[] Columns
        {
            get { return columns; }
            set { columns = value; }
        }

        private string text;

        public string Text
        {
            get { return text; }
            set { text = value; }
        }

        public ComboboxDataholder(DataRow row, string column) : this(row, column, "{0}")
        {
        }

        public ComboboxDataholder(DataRow row, string column, string text)
        {
            this.row = row;
            this.column = column;
            this.text = text;
        }

        public ComboboxDataholder(DataRow row, string[] columns, string text)
        {
            this.row = row;
            this.columns = columns;
            this.text = text;
        }

        public override string ToString()
        {
            if (columns == null)
                return string.Format(text, row[column].ToString());
            else
            {
                string[] data = new string[columns.Length];
                for (int i = 0; i < columns.Length; i++)
                    data[i] = row[columns[i]].ToString();
                return string.Format(text, data);
            }
        }
    }
}
